CGAL 6.1 - Classification

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Classification::Feature::Elevation< GeomTraits, PointRange, PointMap > Class Template Reference
Reference Manual » Predefined Features

`#include <CGAL/Classification/Feature/Elevation.h>`

## Inherits from

CGAL::Classification::Feature_base.

## Definition

template<typename GeomTraits, typename PointRange, typename PointMap>
class CGAL::Classification::Feature::Elevation< GeomTraits, PointRange, PointMap >

Feature based on local elevation.

The local position of the ground can be computed for urban scenes. This feature computes the distance to the local estimation of the ground. It is useful to discriminate the ground from horizontal roofs.

Its default name is "elevation".

Template Parameters

  GeomTraits | model of CGAL Kernel.
  PointRange | model of `ConstRange`. Its iterator type is `RandomAccessIterator` and its value type is the key type of `PointMap`.
  PointMap | model of `ReadablePropertyMap` whose key type is the value type of the iterator of `PointRange` and value type is `GeomTraits::Point_3`.

## Public Member Functions
| Elevation (const PointRange &input, PointMap point_map, const Grid &grid, float radius_dtm=-1.)
| constructs the feature.
Public Member Functions inherited from CGAL::Classification::Feature_base
const std::string & | name () const
| returns the name of the feature (initialized to `abstract_feature` for `Feature_base`).
void | set_name (const std::string &name)
| changes the name of the feature.
virtual float | value (std::size_t index)=0
| returns the value taken by the feature for at the item for the item at position `index`.

## Constructor & Destructor Documentation

## ◆ Elevation()

template<typename GeomTraits , typename PointRange , typename PointMap >

CGAL::Classification::Feature::Elevation< GeomTraits, PointRange, PointMap >::Elevation | ( | const PointRange & | input,
|  | PointMap | point_map,
|  | const Grid & | grid,
|  | float | radius_dtm = `-1.`
| ) |  |

constructs the feature.

Parameters

  input | point range.
  point_map | property map to access the input points.
  grid | precomputed `Planimetric_grid`.
  radius_dtm | radius for digital terrain modeling (should be larger than the width and length of the largest building).